## mycompiler.mystatement
Class BinaryExpr

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.BinaryExpr

All Implemented Interfaces:
  ITypeReplacementListener

Direct Known Subclasses:
  Binary, InstanceOf

    public abstract class BinaryExpr

extends Expr

Field Summary

Fields inherited from class mycompiler.mystatement.Expr
`usedid`

Fields inherited from class mycompiler.mystatement.ExprStmt
`type`

Constructor Summary
`BinaryExpr()`

Method Summary

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Name, get_Type_Menge, get_UsedId, sc_check, set_Type, set_UsedId, TRExp, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getType, getTypeLineNumber, getTypeName, replaceType, setType`

Methods inherited from class mycompiler.mystatement.Statement
`codegen, TRStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryExpr

    public BinaryExpr()